﻿<Window x:Class="calendarSzczypior.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:calendarSzczypior"
        mc:Ignorable="d"
        Title="MainWindow" Height="350" Width="525"
        SizeChanged="Window_SizeChanged">

    <Window.Resources>
        <local:CalendarViewModel x:Key="ViewModel"/>
        <Style TargetType="Button">
            <Setter Property="Background" Value="Red" />
        </Style>
        <Style TargetType="Label">
            <Setter Property="HorizontalAlignment" Value="Center"/>
            <Setter Property="HorizontalContentAlignment" Value="Center"/>
        </Style>
        <Style x:Key="DayStyle" TargetType="Label">
            <Setter Property="Background" Value="Yellow"/>
        </Style>
        <Style x:Key="EventStyle" TargetType="Label">
            <Setter Property="Background" Value="Green"/>
        </Style>
        <Style x:Key="DayOfWeekStyle" TargetType="Label">
            <Setter Property="Background" Value="Blue"/>
            <Setter Property="VerticalAlignment" Value="Stretch"/>
            <Setter Property="VerticalContentAlignment" Value="Center"/>
        </Style>
    </Window.Resources>

    <ItemsControl ItemsSource="{Binding GridData, Source={StaticResource ViewModel}}">
        <!-- ItemsPanelTemplate -->
        <ItemsControl.ItemsPanel>
            <ItemsPanelTemplate>
                <Grid>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="1*" />
                        <RowDefinition Height="2*" />
                        <RowDefinition Height="2*" />
                        <RowDefinition Height="2*" />
                        <RowDefinition Height="2*" />
                        <RowDefinition Height="1*" />
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="1*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="2*" />
                        <ColumnDefinition Width="1*" />
                    </Grid.ColumnDefinitions>
                </Grid>
            </ItemsPanelTemplate>
        </ItemsControl.ItemsPanel>

        <ItemsControl.ItemTemplate>
            <DataTemplate>
                <StackPanel Tag="{Binding DayName}" MouseDown="StackPanel_MouseDown">
                    <Label Content="{Binding DayName}">
                        <Label.Style>
                            <Style TargetType="Label">
                                <Style.Triggers>
                                    <DataTrigger Binding="{Binding IsDayWeek}" Value="True">
                                        <Setter Property="Background" Value="DarkCyan"/>
                                    </DataTrigger>
                                </Style.Triggers>
                            </Style>
                        </Label.Style>
                    </Label>
                    <ItemsControl ItemsSource="{Binding Events}">
                        <ItemsControl.ItemTemplate>
                            <DataTemplate>
                                <Label Content="{Binding WeirdStringName}" Tag="{Binding EventId}" MouseDoubleClick="Label_MouseDoubleClick"/>
                            </DataTemplate>
                        </ItemsControl.ItemTemplate>
                    </ItemsControl>
                </StackPanel>
            </DataTemplate>
        </ItemsControl.ItemTemplate>
        <!-- ItemContainerStyle -->
        <ItemsControl.ItemContainerStyle>
            <Style>
                <Setter Property="Grid.Column"
                    Value="{Binding ColumndIndex}" />
                <Setter Property="Grid.Row"
                    Value="{Binding RowIndex}" />
            </Style>
        </ItemsControl.ItemContainerStyle>
        
        <!-- ItemTemplate -->
        <!--<ItemsControl.Resources>
            <DataTemplate DataType="{x:Type local:DayNameContainer}">
                <Label Content="{Binding DayName}" />

            </DataTemplate>
        </ItemsControl.Resources>-->

    </ItemsControl>
    
</Window>
